## mingw-w64-liblc3-1.1.2-1.src.tar.zst

=== meson_options.txt ===
#  Copyright © 2022 Intel Corporation
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at:
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

option('tools',
    type: 'boolean',
    value: false,
    description: 'Build tools')

option('python',
    type: 'boolean',
    value: false,
    description: 'Build python bindings')
